---
- name: Ensure nfs-kernel-server is installed
  ansible.builtin.apt:
    name:
      - nfs-kernel-server
    state: present

- name: Create NFS directories
  ansible.builtin.file:
    path: "{{ item.nfs_server_directory }}"
    state: directory
    owner: 1000 
    group: 1000
    mode: 0744
  with_items: "{{ nfs_directories }}"

- name: Create exports file
  ansible.builtin.template:
    src: exports.j2
    dest: /etc/exports
    owner: root
    group: root
    mode: 0644
  with_items: "{{ nfs_directories }}"
  notify: reload nfs

- name: Ensure nfs-kernel-server is started and enabled on boot
  become: true
  ansible.builtin.systemd:
    daemon_reload: true
    name: nfs-kernel-server
    enabled: true
    state: started
